import {ItemProperty} from "./ItemProperty";
import {ItemQuality} from "./ItemQuality";
import {ModelComponent} from "../ModelComponent";
import {ModelComponentType} from "../ModelComponentType";

export class Item extends ModelComponent {

  possible_qualities: ItemQuality[] = []
  itemProperties: ItemProperty[] = []


  constructor(componentName: string, componentDescription: string, type: ModelComponentType) {
    super(componentName, componentDescription, type);
    this.itemProperties.push(new ItemProperty("Weight", "Some Weights", 10))
  }
}
